CC := gcc
CFLAGS := -std=c11 -Wall -pedantic -g
LDFLAGS := -lm
SRC := main.c functions.c
OBJ := $(SRC:.c=.o)
EXE := final

all: $(EXE)
	rm -f *.o

clean:
	rm -f $(EXE) *.o

$(EXE): $(OBJ)
	$(CC) $^ -o $@ $(LDFLAGS)

%.o: %.c $(HDR)
	$(CC) $(CFLAGS) -c $< -o $@ 

.PHONY: all clean
